| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::tracking::TrackerModel Class Referenceabstract
Tracking API » Tracking API implementation details

Abstract class that represents the model of the target. More...

`#include <opencv2/video/detail/tracking.detail.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerModel:

## Public Member Functions
| TrackerModel ()
virtual | ~TrackerModel ()
const std::vector< ConfidenceMap > & | getConfidenceMaps () const
| Get the list of the ConfidenceMap.
const ConfidenceMap & | getLastConfidenceMap () const
| Get the last ConfidenceMap for the current frame.
Ptr< TrackerTargetState > | getLastTargetState () const
| Get the last TrackerTargetState from Trajectory.
Ptr< TrackerStateEstimator > | getTrackerStateEstimator () const
| Get the TrackerStateEstimator.
void | modelEstimation (const std::vector< Mat > &responses)
| Estimate the most likely target location.
void | modelUpdate ()
| Update the model.
bool | runStateEstimator ()
| Run the TrackerStateEstimator, return true if is possible to estimate a new state, false otherwise.
void | setLastTargetState (const Ptr< TrackerTargetState > &lastTargetState)
| Set the current TrackerTargetState in the Trajectory.
bool | setTrackerStateEstimator (Ptr< TrackerStateEstimator > trackerStateEstimator)
| Set TrackerEstimator, return true if the tracker state estimator is added, false otherwise.

## Protected Member Functions
virtual void | modelEstimationImpl (const std::vector< Mat > &responses)=0
virtual void | modelUpdateImpl ()=0

## Protected Attributes
std::vector< ConfidenceMap > | confidenceMaps
ConfidenceMap | currentConfidenceMap
int | maxCMLength
Ptr< TrackerStateEstimator > | stateEstimator
Trajectory | trajectory

## Detailed Description

Abstract class that represents the model of the target.

It must be instantiated by specialized tracker

See [233] Ak

Inherits this with your TrackerModel

## Constructor & Destructor Documentation

## ◆ TrackerModel()

cv::detail::tracking::TrackerModel::TrackerModel | ( |  | ) |

## ◆ ~TrackerModel()

virtual cv::detail::tracking::TrackerModel::~TrackerModel | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getConfidenceMaps()

const std::vector< ConfidenceMap > & cv::detail::tracking::TrackerModel::getConfidenceMaps | ( |  | ) | const

Get the list of the ConfidenceMap.

## ◆ getLastConfidenceMap()

const ConfidenceMap & cv::detail::tracking::TrackerModel::getLastConfidenceMap | ( |  | ) | const

Get the last ConfidenceMap for the current frame.

## ◆ getLastTargetState()

Ptr< TrackerTargetState > cv::detail::tracking::TrackerModel::getLastTargetState | ( |  | ) | const

Get the last TrackerTargetState from Trajectory.

## ◆ getTrackerStateEstimator()

Ptr< TrackerStateEstimator > cv::detail::tracking::TrackerModel::getTrackerStateEstimator | ( |  | ) | const

Get the TrackerStateEstimator.

## ◆ modelEstimation()

void cv::detail::tracking::TrackerModel::modelEstimation | ( | const std::vector< Mat > & | responses | ) |

Estimate the most likely target location.

[233] ME, Model Estimation table I

Parameters

  responses | Features extracted from TrackerFeatureSet

## ◆ modelEstimationImpl()

virtual void cv::detail::tracking::TrackerModel::modelEstimationImpl | ( | const std::vector< Mat > & | responses | ) |
| protected pure virtual

## ◆ modelUpdate()

void cv::detail::tracking::TrackerModel::modelUpdate | ( |  | ) |

Update the model.

[233] MU, Model Update table I

## ◆ modelUpdateImpl()

virtual void cv::detail::tracking::TrackerModel::modelUpdateImpl | ( |  | ) |
| protected pure virtual

## ◆ runStateEstimator()

bool cv::detail::tracking::TrackerModel::runStateEstimator | ( |  | ) |

Run the TrackerStateEstimator, return true if is possible to estimate a new state, false otherwise.

## ◆ setLastTargetState()

void cv::detail::tracking::TrackerModel::setLastTargetState | ( | const Ptr< TrackerTargetState > & | lastTargetState | ) |

Set the current TrackerTargetState in the Trajectory.

Parameters

  lastTargetState | The current TrackerTargetState

## ◆ setTrackerStateEstimator()

bool cv::detail::tracking::TrackerModel::setTrackerStateEstimator | ( | Ptr< TrackerStateEstimator > | trackerStateEstimator | ) |

Set TrackerEstimator, return true if the tracker state estimator is added, false otherwise.

Parameters

  trackerStateEstimator | The TrackerStateEstimator

Note
  You can add only one TrackerStateEstimator

## Member Data Documentation

## ◆ confidenceMaps

std::vector<ConfidenceMap> cv::detail::tracking::TrackerModel::confidenceMaps
| protected

## ◆ currentConfidenceMap

ConfidenceMap cv::detail::tracking::TrackerModel::currentConfidenceMap
| protected

## ◆ maxCMLength

int cv::detail::tracking::TrackerModel::maxCMLength
| protected

## ◆ stateEstimator

Ptr<TrackerStateEstimator> cv::detail::tracking::TrackerModel::stateEstimator
| protected

## ◆ trajectory

Trajectory cv::detail::tracking::TrackerModel::trajectory
| protected

The documentation for this class was generated from the following file:

- opencv2/video/detail/tracking.detail.hpp